// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/drinks/drinks.proto

package drinks

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	fieldmaskpb "google.golang.org/protobuf/types/known/fieldmaskpb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GetUserRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Identifier:
	//	*GetUserRequest_Rfid
	//	*GetUserRequest_Username
	//	*GetUserRequest_Sub
	Identifier isGetUserRequest_Identifier `protobuf_oneof:"identifier"`
}

func (x *GetUserRequest) Reset() {
	*x = GetUserRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserRequest) ProtoMessage() {}

func (x *GetUserRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserRequest.ProtoReflect.Descriptor instead.
func (*GetUserRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{0}
}

func (m *GetUserRequest) GetIdentifier() isGetUserRequest_Identifier {
	if m != nil {
		return m.Identifier
	}
	return nil
}

func (x *GetUserRequest) GetRfid() string {
	if x, ok := x.GetIdentifier().(*GetUserRequest_Rfid); ok {
		return x.Rfid
	}
	return ""
}

func (x *GetUserRequest) GetUsername() string {
	if x, ok := x.GetIdentifier().(*GetUserRequest_Username); ok {
		return x.Username
	}
	return ""
}

func (x *GetUserRequest) GetSub() string {
	if x, ok := x.GetIdentifier().(*GetUserRequest_Sub); ok {
		return x.Sub
	}
	return ""
}

type isGetUserRequest_Identifier interface {
	isGetUserRequest_Identifier()
}

type GetUserRequest_Rfid struct {
	Rfid string `protobuf:"bytes,1,opt,name=rfid,proto3,oneof"` // RFID number (kaba_group_header)
}

type GetUserRequest_Username struct {
	Username string `protobuf:"bytes,2,opt,name=username,proto3,oneof"` // ETH username (nethz)
}

type GetUserRequest_Sub struct {
	Sub string `protobuf:"bytes,3,opt,name=sub,proto3,oneof"` // Keycloak sub
}

func (*GetUserRequest_Rfid) isGetUserRequest_Identifier() {}

func (*GetUserRequest_Username) isGetUserRequest_Identifier() {}

func (*GetUserRequest_Sub) isGetUserRequest_Identifier() {}

type GetUserResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	User *User `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *GetUserResponse) Reset() {
	*x = GetUserResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserResponse) ProtoMessage() {}

func (x *GetUserResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserResponse.ProtoReflect.Descriptor instead.
func (*GetUserResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{1}
}

func (x *GetUserResponse) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

type UpdateUserRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	User       *User                  `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	UpdateMask *fieldmaskpb.FieldMask `protobuf:"bytes,2,opt,name=update_mask,json=updateMask,proto3" json:"update_mask,omitempty"`
}

func (x *UpdateUserRequest) Reset() {
	*x = UpdateUserRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateUserRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateUserRequest) ProtoMessage() {}

func (x *UpdateUserRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateUserRequest.ProtoReflect.Descriptor instead.
func (*UpdateUserRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{2}
}

func (x *UpdateUserRequest) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

func (x *UpdateUserRequest) GetUpdateMask() *fieldmaskpb.FieldMask {
	if x != nil {
		return x.UpdateMask
	}
	return nil
}

type UpdateUserResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	User *User `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *UpdateUserResponse) Reset() {
	*x = UpdateUserResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateUserResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateUserResponse) ProtoMessage() {}

func (x *UpdateUserResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateUserResponse.ProtoReflect.Descriptor instead.
func (*UpdateUserResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{3}
}

func (x *UpdateUserResponse) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

type DeleteUserRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Identifier:
	//	*DeleteUserRequest_Rfid
	//	*DeleteUserRequest_Username
	//	*DeleteUserRequest_Sub
	Identifier isDeleteUserRequest_Identifier `protobuf_oneof:"identifier"`
}

func (x *DeleteUserRequest) Reset() {
	*x = DeleteUserRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteUserRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteUserRequest) ProtoMessage() {}

func (x *DeleteUserRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteUserRequest.ProtoReflect.Descriptor instead.
func (*DeleteUserRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{4}
}

func (m *DeleteUserRequest) GetIdentifier() isDeleteUserRequest_Identifier {
	if m != nil {
		return m.Identifier
	}
	return nil
}

func (x *DeleteUserRequest) GetRfid() string {
	if x, ok := x.GetIdentifier().(*DeleteUserRequest_Rfid); ok {
		return x.Rfid
	}
	return ""
}

func (x *DeleteUserRequest) GetUsername() string {
	if x, ok := x.GetIdentifier().(*DeleteUserRequest_Username); ok {
		return x.Username
	}
	return ""
}

func (x *DeleteUserRequest) GetSub() string {
	if x, ok := x.GetIdentifier().(*DeleteUserRequest_Sub); ok {
		return x.Sub
	}
	return ""
}

type isDeleteUserRequest_Identifier interface {
	isDeleteUserRequest_Identifier()
}

type DeleteUserRequest_Rfid struct {
	Rfid string `protobuf:"bytes,1,opt,name=rfid,proto3,oneof"` // RFID number (kaba_group_header)
}

type DeleteUserRequest_Username struct {
	Username string `protobuf:"bytes,2,opt,name=username,proto3,oneof"` // ETH username (nethz)
}

type DeleteUserRequest_Sub struct {
	Sub string `protobuf:"bytes,3,opt,name=sub,proto3,oneof"` // Keycloak sub
}

func (*DeleteUserRequest_Rfid) isDeleteUserRequest_Identifier() {}

func (*DeleteUserRequest_Username) isDeleteUserRequest_Identifier() {}

func (*DeleteUserRequest_Sub) isDeleteUserRequest_Identifier() {}

type ListUsersResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Users []*User `protobuf:"bytes,1,rep,name=users,proto3" json:"users,omitempty"`
}

func (x *ListUsersResponse) Reset() {
	*x = ListUsersResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListUsersResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListUsersResponse) ProtoMessage() {}

func (x *ListUsersResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListUsersResponse.ProtoReflect.Descriptor instead.
func (*ListUsersResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{5}
}

func (x *ListUsersResponse) GetUsers() []*User {
	if x != nil {
		return x.Users
	}
	return nil
}

// the remaining_coffee and remaining_beer values have to be understood to be the number of remaining coffees OR the number of remaining beers but NOT BOTH together
type User struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Sub           string        `protobuf:"bytes,1,opt,name=sub,proto3" json:"sub,omitempty"`
	Rfid          string        `protobuf:"bytes,2,opt,name=rfid,proto3" json:"rfid,omitempty"`
	Username      string        `protobuf:"bytes,3,opt,name=username,proto3" json:"username,omitempty"`
	CreditsPerDay int32         `protobuf:"varint,4,opt,name=credits_per_day,json=creditsPerDay,proto3" json:"credits_per_day,omitempty"`
	Beer          *DrinksStatus `protobuf:"bytes,5,opt,name=beer,proto3" json:"beer,omitempty"`
	Coffee        *DrinksStatus `protobuf:"bytes,6,opt,name=coffee,proto3" json:"coffee,omitempty"`
	Enabled       bool          `protobuf:"varint,7,opt,name=enabled,proto3" json:"enabled,omitempty"`
}

func (x *User) Reset() {
	*x = User{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *User) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*User) ProtoMessage() {}

func (x *User) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use User.ProtoReflect.Descriptor instead.
func (*User) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{6}
}

func (x *User) GetSub() string {
	if x != nil {
		return x.Sub
	}
	return ""
}

func (x *User) GetRfid() string {
	if x != nil {
		return x.Rfid
	}
	return ""
}

func (x *User) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *User) GetCreditsPerDay() int32 {
	if x != nil {
		return x.CreditsPerDay
	}
	return 0
}

func (x *User) GetBeer() *DrinksStatus {
	if x != nil {
		return x.Beer
	}
	return nil
}

func (x *User) GetCoffee() *DrinksStatus {
	if x != nil {
		return x.Coffee
	}
	return nil
}

func (x *User) GetEnabled() bool {
	if x != nil {
		return x.Enabled
	}
	return false
}

type DrinksStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Remaining     int32 `protobuf:"varint,1,opt,name=remaining,proto3" json:"remaining,omitempty"`
	TotalConsumed int32 `protobuf:"varint,2,opt,name=total_consumed,json=totalConsumed,proto3" json:"total_consumed,omitempty"`
	CanDispense   bool  `protobuf:"varint,3,opt,name=can_dispense,json=canDispense,proto3" json:"can_dispense,omitempty"`
}

func (x *DrinksStatus) Reset() {
	*x = DrinksStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DrinksStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DrinksStatus) ProtoMessage() {}

func (x *DrinksStatus) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DrinksStatus.ProtoReflect.Descriptor instead.
func (*DrinksStatus) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{7}
}

func (x *DrinksStatus) GetRemaining() int32 {
	if x != nil {
		return x.Remaining
	}
	return 0
}

func (x *DrinksStatus) GetTotalConsumed() int32 {
	if x != nil {
		return x.TotalConsumed
	}
	return 0
}

func (x *DrinksStatus) GetCanDispense() bool {
	if x != nil {
		return x.CanDispense
	}
	return false
}

type GetUserStatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rfid string `protobuf:"bytes,1,opt,name=rfid,proto3" json:"rfid,omitempty"`
}

func (x *GetUserStatusRequest) Reset() {
	*x = GetUserStatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserStatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserStatusRequest) ProtoMessage() {}

func (x *GetUserStatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserStatusRequest.ProtoReflect.Descriptor instead.
func (*GetUserStatusRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{8}
}

func (x *GetUserStatusRequest) GetRfid() string {
	if x != nil {
		return x.Rfid
	}
	return ""
}

type GetUserStatusResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RemainingCredits int32 `protobuf:"varint,1,opt,name=remaining_credits,json=remainingCredits,proto3" json:"remaining_credits,omitempty"`
}

func (x *GetUserStatusResponse) Reset() {
	*x = GetUserStatusResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetUserStatusResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetUserStatusResponse) ProtoMessage() {}

func (x *GetUserStatusResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetUserStatusResponse.ProtoReflect.Descriptor instead.
func (*GetUserStatusResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{9}
}

func (x *GetUserStatusResponse) GetRemainingCredits() int32 {
	if x != nil {
		return x.RemainingCredits
	}
	return 0
}

type DispenseCoffeeRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rfid string `protobuf:"bytes,1,opt,name=rfid,proto3" json:"rfid,omitempty"`
}

func (x *DispenseCoffeeRequest) Reset() {
	*x = DispenseCoffeeRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DispenseCoffeeRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DispenseCoffeeRequest) ProtoMessage() {}

func (x *DispenseCoffeeRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DispenseCoffeeRequest.ProtoReflect.Descriptor instead.
func (*DispenseCoffeeRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{10}
}

func (x *DispenseCoffeeRequest) GetRfid() string {
	if x != nil {
		return x.Rfid
	}
	return ""
}

type DispenseCoffeeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RemainingCredits int32 `protobuf:"varint,1,opt,name=remaining_credits,json=remainingCredits,proto3" json:"remaining_credits,omitempty"`
}

func (x *DispenseCoffeeResponse) Reset() {
	*x = DispenseCoffeeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DispenseCoffeeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DispenseCoffeeResponse) ProtoMessage() {}

func (x *DispenseCoffeeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DispenseCoffeeResponse.ProtoReflect.Descriptor instead.
func (*DispenseCoffeeResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{11}
}

func (x *DispenseCoffeeResponse) GetRemainingCredits() int32 {
	if x != nil {
		return x.RemainingCredits
	}
	return 0
}

type DispenseBeerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Rfid string `protobuf:"bytes,1,opt,name=rfid,proto3" json:"rfid,omitempty"`
}

func (x *DispenseBeerRequest) Reset() {
	*x = DispenseBeerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DispenseBeerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DispenseBeerRequest) ProtoMessage() {}

func (x *DispenseBeerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DispenseBeerRequest.ProtoReflect.Descriptor instead.
func (*DispenseBeerRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{12}
}

func (x *DispenseBeerRequest) GetRfid() string {
	if x != nil {
		return x.Rfid
	}
	return ""
}

type DispenseBeerResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RemainingCredits int32 `protobuf:"varint,1,opt,name=remaining_credits,json=remainingCredits,proto3" json:"remaining_credits,omitempty"`
}

func (x *DispenseBeerResponse) Reset() {
	*x = DispenseBeerResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DispenseBeerResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DispenseBeerResponse) ProtoMessage() {}

func (x *DispenseBeerResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_drinks_drinks_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DispenseBeerResponse.ProtoReflect.Descriptor instead.
func (*DispenseBeerResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_drinks_drinks_proto_rawDescGZIP(), []int{13}
}

func (x *DispenseBeerResponse) GetRemainingCredits() int32 {
	if x != nil {
		return x.RemainingCredits
	}
	return 0
}

var File_vseth_vis_drinks_drinks_proto protoreflect.FileDescriptor

var file_vseth_vis_drinks_drinks_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x64, 0x72, 0x69, 0x6e,
	0x6b, 0x73, 0x2f, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x10, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b,
	0x73, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x20,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x66, 0x69, 0x65, 0x6c, 0x64, 0x5f, 0x6d, 0x61, 0x73, 0x6b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x66, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x14, 0x0a, 0x04, 0x72, 0x66, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x48, 0x00, 0x52, 0x04, 0x72, 0x66, 0x69, 0x64, 0x12, 0x1c, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x08, 0x75, 0x73,
	0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x03, 0x73, 0x75, 0x62, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x03, 0x73, 0x75, 0x62, 0x42, 0x0c, 0x0a, 0x0a, 0x69, 0x64,
	0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x22, 0x3d, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x55,
	0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x04, 0x75,
	0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x22, 0x7c, 0x0a, 0x11, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x04,
	0x75, 0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x73,
	0x65, 0x72, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x3b, 0x0a, 0x0b, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x5f, 0x6d, 0x61, 0x73, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x46, 0x69, 0x65, 0x6c, 0x64, 0x4d, 0x61, 0x73, 0x6b, 0x52, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x4d, 0x61, 0x73, 0x6b, 0x22, 0x40, 0x0a, 0x12, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x55,
	0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x04, 0x75,
	0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x73, 0x65,
	0x72, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x22, 0x69, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x04,
	0x72, 0x66, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x04, 0x72, 0x66,
	0x69, 0x64, 0x12, 0x1c, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x12, 0x0a, 0x03, 0x73, 0x75, 0x62, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52,
	0x03, 0x73, 0x75, 0x62, 0x42, 0x0c, 0x0a, 0x0a, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x22, 0x41, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2c, 0x0a, 0x05, 0x75, 0x73, 0x65, 0x72, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x16, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x05,
	0x75, 0x73, 0x65, 0x72, 0x73, 0x22, 0xf6, 0x01, 0x0a, 0x04, 0x55, 0x73, 0x65, 0x72, 0x12, 0x10,
	0x0a, 0x03, 0x73, 0x75, 0x62, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x73, 0x75, 0x62,
	0x12, 0x12, 0x0a, 0x04, 0x72, 0x66, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x72, 0x66, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x26, 0x0a, 0x0f, 0x63, 0x72, 0x65, 0x64, 0x69, 0x74, 0x73, 0x5f, 0x70, 0x65, 0x72, 0x5f,
	0x64, 0x61, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x63, 0x72, 0x65, 0x64, 0x69,
	0x74, 0x73, 0x50, 0x65, 0x72, 0x44, 0x61, 0x79, 0x12, 0x32, 0x0a, 0x04, 0x62, 0x65, 0x65, 0x72,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x04, 0x62, 0x65, 0x65, 0x72, 0x12, 0x36, 0x0a, 0x06,
	0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e,
	0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x63, 0x6f,
	0x66, 0x66, 0x65, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x22, 0x76,
	0x0a, 0x0c, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x1c,
	0x0a, 0x09, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x09, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x12, 0x25, 0x0a, 0x0e,
	0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x43, 0x6f, 0x6e, 0x73, 0x75,
	0x6d, 0x65, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x61, 0x6e, 0x5f, 0x64, 0x69, 0x73, 0x70, 0x65,
	0x6e, 0x73, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x63, 0x61, 0x6e, 0x44, 0x69,
	0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x22, 0x2a, 0x0a, 0x14, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65,
	0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12,
	0x0a, 0x04, 0x72, 0x66, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x72, 0x66,
	0x69, 0x64, 0x22, 0x44, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2b, 0x0a, 0x11, 0x72,
	0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x72, 0x65, 0x64, 0x69, 0x74, 0x73,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e,
	0x67, 0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x73, 0x22, 0x2b, 0x0a, 0x15, 0x44, 0x69, 0x73, 0x70,
	0x65, 0x6e, 0x73, 0x65, 0x43, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x12, 0x0a, 0x04, 0x72, 0x66, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x72, 0x66, 0x69, 0x64, 0x22, 0x45, 0x0a, 0x16, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73,
	0x65, 0x43, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x2b, 0x0a, 0x11, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x72, 0x65,
	0x64, 0x69, 0x74, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x72, 0x65, 0x6d, 0x61,
	0x69, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x73, 0x22, 0x29, 0x0a, 0x13,
	0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x42, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x72, 0x66, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x72, 0x66, 0x69, 0x64, 0x22, 0x43, 0x0a, 0x14, 0x44, 0x69, 0x73, 0x70, 0x65,
	0x6e, 0x73, 0x65, 0x42, 0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x2b, 0x0a, 0x11, 0x72, 0x65, 0x6d, 0x61, 0x69, 0x6e, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x72, 0x65,
	0x64, 0x69, 0x74, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x72, 0x65, 0x6d, 0x61,
	0x69, 0x6e, 0x69, 0x6e, 0x67, 0x43, 0x72, 0x65, 0x64, 0x69, 0x74, 0x73, 0x32, 0xec, 0x04, 0x0a,
	0x06, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x12, 0x4e, 0x0a, 0x07, 0x47, 0x65, 0x74, 0x55, 0x73,
	0x65, 0x72, 0x12, 0x20, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64,
	0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x21, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x0a, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x55, 0x73, 0x65, 0x72, 0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x55,
	0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x55, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x49, 0x0a, 0x0a, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x12, 0x23,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b,
	0x73, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x48, 0x0a, 0x09, 0x4c,
	0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79,
	0x1a, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69,
	0x6e, 0x6b, 0x73, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x55, 0x73, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x60, 0x0a, 0x0d, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65,
	0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b,
	0x73, 0x2e, 0x47, 0x65, 0x74, 0x55, 0x73, 0x65, 0x72, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x0e, 0x44, 0x69, 0x73, 0x70, 0x65,
	0x6e, 0x73, 0x65, 0x43, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x12, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x44, 0x69, 0x73,
	0x70, 0x65, 0x6e, 0x73, 0x65, 0x43, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64,
	0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x43, 0x6f,
	0x66, 0x66, 0x65, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a, 0x0c,
	0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x42, 0x65, 0x65, 0x72, 0x12, 0x25, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e,
	0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x42, 0x65, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x2e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x42,
	0x65, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x60, 0x0a, 0x13, 0x63,
	0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x64, 0x72, 0x69, 0x6e,
	0x6b, 0x73, 0x5a, 0x49, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e,
	0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73,
	0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_drinks_drinks_proto_rawDescOnce sync.Once
	file_vseth_vis_drinks_drinks_proto_rawDescData = file_vseth_vis_drinks_drinks_proto_rawDesc
)

func file_vseth_vis_drinks_drinks_proto_rawDescGZIP() []byte {
	file_vseth_vis_drinks_drinks_proto_rawDescOnce.Do(func() {
		file_vseth_vis_drinks_drinks_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_drinks_drinks_proto_rawDescData)
	})
	return file_vseth_vis_drinks_drinks_proto_rawDescData
}

var file_vseth_vis_drinks_drinks_proto_msgTypes = make([]protoimpl.MessageInfo, 14)
var file_vseth_vis_drinks_drinks_proto_goTypes = []interface{}{
	(*GetUserRequest)(nil),         // 0: vseth.vis.drinks.GetUserRequest
	(*GetUserResponse)(nil),        // 1: vseth.vis.drinks.GetUserResponse
	(*UpdateUserRequest)(nil),      // 2: vseth.vis.drinks.UpdateUserRequest
	(*UpdateUserResponse)(nil),     // 3: vseth.vis.drinks.UpdateUserResponse
	(*DeleteUserRequest)(nil),      // 4: vseth.vis.drinks.DeleteUserRequest
	(*ListUsersResponse)(nil),      // 5: vseth.vis.drinks.ListUsersResponse
	(*User)(nil),                   // 6: vseth.vis.drinks.User
	(*DrinksStatus)(nil),           // 7: vseth.vis.drinks.DrinksStatus
	(*GetUserStatusRequest)(nil),   // 8: vseth.vis.drinks.GetUserStatusRequest
	(*GetUserStatusResponse)(nil),  // 9: vseth.vis.drinks.GetUserStatusResponse
	(*DispenseCoffeeRequest)(nil),  // 10: vseth.vis.drinks.DispenseCoffeeRequest
	(*DispenseCoffeeResponse)(nil), // 11: vseth.vis.drinks.DispenseCoffeeResponse
	(*DispenseBeerRequest)(nil),    // 12: vseth.vis.drinks.DispenseBeerRequest
	(*DispenseBeerResponse)(nil),   // 13: vseth.vis.drinks.DispenseBeerResponse
	(*fieldmaskpb.FieldMask)(nil),  // 14: google.protobuf.FieldMask
	(*emptypb.Empty)(nil),          // 15: google.protobuf.Empty
}
var file_vseth_vis_drinks_drinks_proto_depIdxs = []int32{
	6,  // 0: vseth.vis.drinks.GetUserResponse.user:type_name -> vseth.vis.drinks.User
	6,  // 1: vseth.vis.drinks.UpdateUserRequest.user:type_name -> vseth.vis.drinks.User
	14, // 2: vseth.vis.drinks.UpdateUserRequest.update_mask:type_name -> google.protobuf.FieldMask
	6,  // 3: vseth.vis.drinks.UpdateUserResponse.user:type_name -> vseth.vis.drinks.User
	6,  // 4: vseth.vis.drinks.ListUsersResponse.users:type_name -> vseth.vis.drinks.User
	7,  // 5: vseth.vis.drinks.User.beer:type_name -> vseth.vis.drinks.DrinksStatus
	7,  // 6: vseth.vis.drinks.User.coffee:type_name -> vseth.vis.drinks.DrinksStatus
	0,  // 7: vseth.vis.drinks.Drinks.GetUser:input_type -> vseth.vis.drinks.GetUserRequest
	2,  // 8: vseth.vis.drinks.Drinks.UpdateUser:input_type -> vseth.vis.drinks.UpdateUserRequest
	4,  // 9: vseth.vis.drinks.Drinks.DeleteUser:input_type -> vseth.vis.drinks.DeleteUserRequest
	15, // 10: vseth.vis.drinks.Drinks.ListUsers:input_type -> google.protobuf.Empty
	8,  // 11: vseth.vis.drinks.Drinks.GetUserStatus:input_type -> vseth.vis.drinks.GetUserStatusRequest
	10, // 12: vseth.vis.drinks.Drinks.DispenseCoffee:input_type -> vseth.vis.drinks.DispenseCoffeeRequest
	12, // 13: vseth.vis.drinks.Drinks.DispenseBeer:input_type -> vseth.vis.drinks.DispenseBeerRequest
	1,  // 14: vseth.vis.drinks.Drinks.GetUser:output_type -> vseth.vis.drinks.GetUserResponse
	3,  // 15: vseth.vis.drinks.Drinks.UpdateUser:output_type -> vseth.vis.drinks.UpdateUserResponse
	15, // 16: vseth.vis.drinks.Drinks.DeleteUser:output_type -> google.protobuf.Empty
	5,  // 17: vseth.vis.drinks.Drinks.ListUsers:output_type -> vseth.vis.drinks.ListUsersResponse
	9,  // 18: vseth.vis.drinks.Drinks.GetUserStatus:output_type -> vseth.vis.drinks.GetUserStatusResponse
	11, // 19: vseth.vis.drinks.Drinks.DispenseCoffee:output_type -> vseth.vis.drinks.DispenseCoffeeResponse
	13, // 20: vseth.vis.drinks.Drinks.DispenseBeer:output_type -> vseth.vis.drinks.DispenseBeerResponse
	14, // [14:21] is the sub-list for method output_type
	7,  // [7:14] is the sub-list for method input_type
	7,  // [7:7] is the sub-list for extension type_name
	7,  // [7:7] is the sub-list for extension extendee
	0,  // [0:7] is the sub-list for field type_name
}

func init() { file_vseth_vis_drinks_drinks_proto_init() }
func file_vseth_vis_drinks_drinks_proto_init() {
	if File_vseth_vis_drinks_drinks_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_drinks_drinks_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateUserRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateUserResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteUserRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListUsersResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*User); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DrinksStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserStatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetUserStatusResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DispenseCoffeeRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DispenseCoffeeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DispenseBeerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_drinks_drinks_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DispenseBeerResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_vseth_vis_drinks_drinks_proto_msgTypes[0].OneofWrappers = []interface{}{
		(*GetUserRequest_Rfid)(nil),
		(*GetUserRequest_Username)(nil),
		(*GetUserRequest_Sub)(nil),
	}
	file_vseth_vis_drinks_drinks_proto_msgTypes[4].OneofWrappers = []interface{}{
		(*DeleteUserRequest_Rfid)(nil),
		(*DeleteUserRequest_Username)(nil),
		(*DeleteUserRequest_Sub)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_drinks_drinks_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   14,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_drinks_drinks_proto_goTypes,
		DependencyIndexes: file_vseth_vis_drinks_drinks_proto_depIdxs,
		MessageInfos:      file_vseth_vis_drinks_drinks_proto_msgTypes,
	}.Build()
	File_vseth_vis_drinks_drinks_proto = out.File
	file_vseth_vis_drinks_drinks_proto_rawDesc = nil
	file_vseth_vis_drinks_drinks_proto_goTypes = nil
	file_vseth_vis_drinks_drinks_proto_depIdxs = nil
}
